Page MenuHomePhabricator

Make php7 the default PHP on stretch
Closed, ResolvedPublic

Description

Move HHVM back to a role and make php7 the default for newly provisioned Stretch VMs.

Event Timeline

bd808 created this task.Dec 3 2017, 5:02 AM
bd808 claimed this task.Dec 3 2017, 6:07 AM

Change 398707 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[mediawiki/vagrant@stretch-migration] [WIP] Make PHP7 the default runtime

https://gerrit.wikimedia.org/r/398707

Change 398707 merged by jenkins-bot:
[mediawiki/vagrant@stretch-migration] Make PHP7 the default runtime

https://gerrit.wikimedia.org/r/398707

bd808 closed this task as Resolved.Dec 18 2017, 4:33 AM
hashar reopened this task as Open.EditedDec 24 2017, 2:25 PM
hashar added a subscriber: hashar.

https://gerrit.wikimedia.org/r/398707 removed the role::zend class though it is still used by role::zero and referenced in a comment:

modules/role/manifests/ldapauth.pp:20:    # Needed for php maintenance scripts and if the VM is using role::zend
modules/role/manifests/zero.pp:11:    include ::role::zend
role::zero
        error during compilation: Evaluation Error: Error while evaluating a Function Call, Could not find class ::role::zend for aeriale.local at puppet/modules/role/manifests/zero.pp:11:5

Change 400120 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[mediawiki/vagrant@stretch-migration] php7: remove remaining role::zend references

https://gerrit.wikimedia.org/r/400120

Change 400120 merged by jenkins-bot:
[mediawiki/vagrant@stretch-migration] php7: remove remaining role::zend references

https://gerrit.wikimedia.org/r/400120

bd808 closed this task as Resolved.Dec 24 2017, 11:04 PM